summaryrefslogtreecommitdiffstats
path: root/docs/generator
diff options
context:
space:
mode:
authorChris Akritidis <43294513+cakrit@users.noreply.github.com>2018-11-28 11:56:04 +0100
committerGitHub <noreply@github.com>2018-11-28 11:56:04 +0100
commit7d3f700bb42ad50513e035c0da796796711e55df (patch)
tree992cae9f9f2e6314d39d0012db28f4fc321aaf04 /docs/generator
parentac55ecf701dd8992e50c3ae5812e6f3d06b6f417 (diff)
buildhtml.sh should exit with 1 if anything fails (#4773)
* Exit with 1 if anything fails * use set -e instead of checking exit status
Diffstat (limited to 'docs/generator')
-rwxr-xr-xdocs/generator/buildhtml.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/docs/generator/buildhtml.sh b/docs/generator/buildhtml.sh
index e1214ed8f6..a7b5e2f9ba 100755
--- a/docs/generator/buildhtml.sh
+++ b/docs/generator/buildhtml.sh
@@ -3,6 +3,9 @@
# buildhtml.sh
# Builds the html static site, using mkdocs
+
+set -e
+
# Assumes that the script is executed either from the htmldoc folder (by netlify), or from the root repo dir (as originally intended)
currentdir=$(pwd | awk -F '/' '{print $NF}')
echo "$currentdir"
@@ -17,6 +20,7 @@ rm -rf ${GENERATOR_DIR}/src
find . -type d \( -path ./${GENERATOR_DIR} -o -path ./node_modules \) -prune -o -name "*.md" -print | cpio -pd ${GENERATOR_DIR}/src
# Modify the first line of the main README.md, to enable proper static html generation
+echo "Modifying README header"
sed -i '0,/# netdata /s//# Introduction\n\n/' ${GENERATOR_DIR}/src/README.md
# Remove specific files that don't belong in the documentation
@@ -36,7 +40,6 @@ echo "Fixing links"
# Fix links (recursively, all types, executing replacements)
${GENERATOR_DIR}/checklinks.sh -rax
-if [ $? -eq 1 ]; then exit 1; fi
echo "Calling mkdocs"